import { AutoMap } from '@automapper/classes';
import { IsString } from 'class-validator';

export class UpdateUserRequest {
  @IsString()
  @AutoMap()
  uuid: string;

  @IsString()
  @AutoMap()
  firstName?: string;

  @IsString()
  @AutoMap()
  lastName?: string;

  @IsString()
  @AutoMap()
  email?: string;
}
